%define piname	weather_routing_pi

Name:		opencpn-weather-routing-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.13.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	lib64portaudio-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin creates optimized weather routes using isochrone method and
predictive grib data or averaged gridded Climate data based upon constraint
settings, start and finish information and boat performance calculated using
boat specs or polar data.
Use the Grib Plugin and recently downloaded grib files for completing grib
predictive routing (1-8 days).
Use the Climatology Plugin to find cruising routes, (most useful in prevailing
winds areas)
Use both grib and climatology data, allowing the grib's route to be extended
past time/range, or to use current data if the grib does not contain it, or to
use climatology to avoid areas of cyclones.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

# fix plugindir
sed -i -e '/PREFIX_LIB/s/PREFIX_LIB lib.*)/PREFIX_LIB %{_lib})/' cmake/PluginInstall.cmake

%build
%cmake
%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sun Oct 06 2019 tex - 1.13.0-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.13.0-2pclos2019
- rebuild against updates

